Bug 234414 - net/ntopng: fix build with GCC-based architectures
Summary: net/ntopng: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-26 12:10 UTC by Piotr Kubaj
Modified: 2018-12-30 11:26 UTC (History)
2 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
patch (550 bytes, patch)
2018-12-26 12:10 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-26 12:10:19 UTC
Created attachment 200525 [details]
patch

USES=compiler:c++11-lang is necessary to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Guido Falsi freebsd_committer 2018-12-27 21:28:04 UTC
The patch works fine for me on amd64 and i386. I'm unable at present to test on other architectures, so I approve it.
Comment 2 commit-hook freebsd_committer 2018-12-30 11:25:08 UTC
A commit references this bug:

Author: madpilot
Date: Sun Dec 30 11:24:58 UTC 2018
New revision: 488707
URL: https://svnweb.freebsd.org/changeset/ports/488707

Log:
  USES=compiler:c++11-lang is necessary to build on GCC architectures.

  PR:		234414
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/net/ntopng/Makefile
Comment 3 Guido Falsi freebsd_committer 2018-12-30 11:26:58 UTC
Change committed.

Thanks!